// These shaders apply to the Otana only. ~Crazy

textures/deltaphantom/basepanel_dark
{
	qer_editorimage	textures/deltaphantom/basepanel_dark
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/deltaphantom/basepanel_dark
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/mp/s_metalc_env
        rgbGen const ( 0.100000 0.100000 0.100000 )
        tcGen environment
        tcMod scale 2.25 0.25
        blendFunc GL_ONE GL_ONE
    }
}

textures/deltaphantom/basepanel_blue_dark
{
	qer_editorimage	textures/deltaphantom/basepanel_blue_dark
	q3map_material	SolidMetal
    {
        map $lightmap
    }
    {
        map textures/deltaphantom/basepanel_blue_dark
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/mp/s_metalc_env
        rgbGen const ( 0.100000 0.100000 0.100000 )
        tcGen environment
        tcMod scale 2.25 0.25
        blendFunc GL_ONE GL_ONE
    }
}

// For use if the shader below doesn't work!

textures/deltaphantom/SigA
{
	qer_editorimage	textures/deltaphantom/SigA
	polygonOffset
	q3map_nolightmap
    {
        map textures/deltaphantom/siga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.250000 0.250000 0.250000 )
    }
}

textures/deltaphantom/s_metalc_dark_SigA
{
	qer_editorimage	textures/mp/s_metalc_dark.tga
	q3map_material	SolidMetal
    {
        map textures/mp/s_metalc_env
        rgbGen identity
        tcGen environment
        tcMod scale 0.25 0.25
    }
    {
        map textures/mp/s_metalc_dark
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    }
    {
// PLEASE work!

        map textures/deltaphantom/siga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//NAB622: Added this shader here since it's used on the ships.
//Better to keep things organized and get strangled for it than
//to live. Wait...
textures/deltaphantom/engine
{
   qer_editorimage   textures/deltaphantom/engine
   q3map_lightimage   textures/deltaphantom/engine
   q3map_surfacelight   5000
   q3map_lightsubdivide   64
   q3map_nolightmap
    {
      map textures/deltaphantom/engine
   rgbGen identity
       glow
    }
} 