// //////////////////////

// /Pass Me Around Map///

// //////////////////////

// Sky//

// Lou, with edits by Crazy

textures/pass_me_around/sky
{
// Mr. Wonko: removed sun because a) doesn't make much sense in the night (yes, there is a *little* light due to the moon but well... it's nearly new moon) and b) was from wrong direction

// q3map_lightRGB 0.373 0.561 0.882

// q3map_skylight 150 7

// Mr. Wonko: does this belong to the sunlight? then it should  be commented, too (imo).

// q3map_sunExt 1.000000 0.997119 0.857641 125 345 75 1 4

	qer_editorimage	textures/skies/sky
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nodlight
	q3map_lightmapFilterRadius 0 8
	notc
	q3map_nolightmap
	skyParms	textures/skies/cs1 1024 -
}

// Lights//

// Mr. Wonko

textures/pass_me_around/grate_light_amber_emit
{
	q3map_lightimage	textures/vjun/grateamber_light_glow
	qer_editorimage	textures/vjun/grateamber_light
	q3map_surfacelight	750
	q3map_backsplash	0.3	8
	q3map_lightsubdivide	8
    {
        map $lightmap
    }
    {
        map textures/vjun/grateamber_light
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/vjun/grateamber_light_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

// Mr. Wonko

textures/pass_me_around/lights3_emit
{
	q3map_lightimage	textures/vjun/lights3_glw
	qer_editorimage	textures/vjun/lights3
	q3map_surfacelight	1000
	q3map_backsplash	0.3	8
	q3map_lightsubdivide	32
    {
        map $lightmap
    }
    {
        map textures/vjun/lights3
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/vjun/lights3_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

// Mr. Wonko

textures/pass_me_around/light_vjun_amber_emit
{
	q3map_lightimage	textures/vjun/light_vjunamber
	qer_editorimage	textures/vjun/light_vjunamber
//NAB622: Upped the light emissions from 1000 to 1200.
	q3map_surfacelight	1200
	q3map_backsplash	0.3	32
	q3map_lightsubdivide	128
    {
        map $lightmap
    }
    {
        map textures/vjun/light_vjunamber
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/vjun/light_vjunamber_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

// Mr. Wonko

textures/pass_me_around/light_strip_emit
{
	q3map_lightimage	textures/vjun/light_strip_glw
	qer_editorimage	textures/vjun/light_strip
	q3map_surfacelight	2000
	q3map_backsplash	0.3	32
	q3map_lightsubdivide	64
    {
        map $lightmap
    }
    {
        map textures/vjun/light_strip
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/vjun/light_strip_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

// lou

textures/pass_me_around/whitelight
{
	qer_editorimage	textures/pass_me_around/whitelight
	q3map_surfacelight	1000
	q3map_backsplash	1	8
	q3map_lightsubdivid3  60
	q3map_nolightmap
    {
        map $whiteimage
        rgbGen const ( 1.000000 1.000000 1.000000 )
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen const ( 1.000000 1.000000 1.000000 )
    }
}

// Jedi_Mediator

textures/pass_me_around/light1_2
{
// NAB622: I'm modifying the way they are built into the map,

// so it now needs polygonOffset. This will save a TON of

// triangles and increase FPS.

	polygonOffset
    {
        map $lightmap
    }
    {
        map textures/pass_me_around/light1_2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pass_me_around/light1_2_g2
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0 1 0 0.25
    }
    {
        map textures/pass_me_around/light1_2_g
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        glow
        alphaGen wave sin 0 1 0.85 0.5
    }
    {
        map textures/pass_me_around/light1_2_g
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        glow
        alphaGen wave sin 0 1 0.85 0.5
    }
}

// Metals//

// Crazy

textures/pass_me_around/s_metalc
{
	qer_editorimage	textures/mp/s_metalc.tga
	q3map_material	SolidMetal
    {
        map textures/mp/s_metalc_env
        rgbGen identity
        tcGen environment
        tcMod scale 0.25 0.25
    }
    {
        map textures/mp/s_metalc
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

// Shader by Crazy, star reflections added by Jedi_Mediator

textures/pass_me_around/s_metalc_stars
{
	qer_editorimage	textures/mp/s_metalc.tga
	q3map_material	SolidMetal
    {
        map textures/mp/s_metalc_env
        rgbGen identity
        tcGen environment
        tcMod scale 0.25 0.25
    }
    {
        map textures/mp/s_metalc
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/skies/cs1_up
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen identity
        alphaGen const 0.035
        tcGen environment
    }
}

// NAB622: added for the main area to save on tris - the floor was

// subdividing too much.

textures/pass_me_around/s_metalc_stars_notjunc
{
	qer_editorimage	textures/mp/s_metalc.tga
	q3map_material	SolidMetal
	q3map_notjunc
    {
        map textures/mp/s_metalc_env
        rgbGen identity
        tcGen environment
        tcMod scale 0.25 0.25
    }
    {
        map textures/mp/s_metalc
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/skies/cs1_up
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen identity
        alphaGen const 0.035
        tcGen environment
    }
}

// Crazy

textures/pass_me_around/s_metalc_dark
{
	qer_editorimage	textures/mp/s_metalc_dark.tga
	q3map_material	SolidMetal
    {
        map textures/mp/s_metalc_env
        rgbGen identity
        tcGen environment
        tcMod scale 0.25 0.25
    }
    {
        map textures/mp/s_metalc_dark
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

// Jedi_Mediator

// Wall 9 Shader Edit, making metallic sheen correspond

// to color of surrounding light

// Edit by Crazy: Made shader UNIQUE.

textures/pass_me_around/vjunwall9
{
    {
        map textures/vjun/wall9
        rgbGen vertex
    }
    {
        map textures/byss/env_large_floor2
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen identity
        tcGen environment
    }
    {
        map textures/byss/env_large_floor2
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen identity
        tcGen environment
    }
    {
        map textures/vjun/wall9_mask
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

// Decals//

// Crazy

textures/pass_me_around/landingpadmarking
{
	qer_editorimage	textures/pass_me_around/landingpadmarking
	polygonOffset
	q3map_nolightmap
    {
        map textures/pass_me_around/landingpadmarking
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.250000 0.250000 0.250000 )
    }
}

// Nozyspy//

// Generator Room//

textures/pass_me_around/orangyplasma_fuel
{
    {
        map $lightmap
    }
    {
        map textures/pass_me_around/orangyplasma_fuel
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pass_me_around/orangyplasma_fuel_glow
        blendFunc GL_ONE GL_ONE
        glow
        tcMod scroll 0 0.2
    }
}

// Misc Glowies//

textures/pass_me_around/redlight_grimystrip
{
    {
        map $lightmap
    }
    {
        map textures/pass_me_around/redlight_grimystrip
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pass_me_around/redlight_grimystrip_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/bluelight_grimystrip
{
    {
        map $lightmap
    }
    {
        map textures/pass_me_around/bluelight_grimystrip
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pass_me_around/bluelight_grimystrip_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/basic_grimy_circlelight
{
    {
        map $lightmap
    }
    {
        map textures/pass_me_around/basic_grimy_circlelight
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pass_me_around/basic_grimy_circlelight_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/blueticket_screen
{
    {
        map $lightmap
    }
    {
        map textures/pass_me_around/blueticket_screen
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pass_me_around/blueticket_screen_glow
        blendFunc GL_ONE GL_ONE
        glow
    }
}

// Graffiti Decals//

textures/pass_me_around/nozy_crazy_graffiti
{
	qer_editorimage	textures/pass_me_around/nozy_crazy_graffiti
	polygonOffset
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/pass_me_around/nozy_crazy_graffiti
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

textures/pass_me_around/mapcraft_rules
{
	qer_editorimage	textures/pass_me_around/mapcraft_rules
	polygonOffset
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/pass_me_around/mapcraft_rules
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}

// NAB622 //

// Floor Decals - FPS saver //

// The only disadvantage of doing it this way is that saber //

// marks won't show. Small price to pay for a nice chunk of FPS. //

textures/pass_me_around/floor_decals
{
	qer_editorimage	textures/doomgiver/basic
	polygonOffset
	q3map_material	SolidMetal
	sort	5
    {
        map $lightmap
    }
    {
        map textures/doomgiver/basic
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

// NAB622 //

// This shader makes the spawn rooms barely, if at all, noticeable. //

// It abuses the void to create a fade effect and give the illusion //

// that the game is frozen. Since players are normally in a spawn room //

// for about 1 frame, it should rarely be noticed. //

textures/pass_me_around/spawn_rooms
{
	qer_editorimage	textures/pass_me_around/telehub_black
	qer_trans	0.4
	surfaceparm	nonopaque
	q3map_nolightmap
	q3map_novertexshadows
    {
        map textures/pass_me_around/telehub_black
    }
}

textures/pass_me_around/door_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/door_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

// NAB622 - Stole these from TPC. Hey, I'm allowed. :P

textures/pass_me_around/bluelaser
{
	qer_editorimage	textures/pass_me_around/laser
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	q3map_novertexshadows
	cull	twosided
	deformvertexes	autoSprite2	
    {
        map textures/pass_me_around/laser
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.000000 0.000000 1.000000 )
        tcMod scroll 0 -50
    }
}

textures/pass_me_around/reactor_lightning
{
	qer_editorimage	textures/pass_me_around/lightning
	q3map_nolightmap
	cull	twosided
    {
        map textures/pass_me_around/lightning
        blendFunc GL_ONE GL_ONE
        rgbGen vertex
    }
}

textures/pass_me_around/reactor_inside
{
	qer_editorimage	textures/factory/ggoo1
	q3map_nolightmap
	cull	twosided
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.000000 0.700000 0.200000 )
        alphaGen wave sin 0 2 0 0.1
        tcMod scroll 2.332 0
    }
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 0.300000 0.100000 1.000000 )
        alphaGen wave sin 0 2 0.333 0.1
        tcMod scroll 2.332 0
    }
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.000000 0.100000 0.300000 )
        alphaGen wave sin 0 2 0.66 0.1
        tcMod scroll 2.332 0
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -500 501 0 0.1724
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -99 99.7 0 0.3532
    }
    {
        map textures/common/stars
        blendFunc GL_ONE GL_ONE
        alphaGen const 1
        tcMod scroll 0 -4
        tcMod rotate 25
    }
}
textures/pass_me_around/reactor_inside_2
{
	qer_editorimage	textures/factory/ggoo1
	q3map_nolightmap
	cull	twosided
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.000000 0.700000 0.200000 )
        alphaGen wave sin 0 2 0.5 0.1
        tcMod scroll 2.332 0
    }
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 0.300000 0.100000 1.000000 )
        alphaGen wave sin 0 2 0.833 0.1
        tcMod scroll 2.332 0
    }
    {
        map textures/factory/ggoo3
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.000000 0.100000 0.300000 )
        alphaGen wave sin 0 2 0.16 0.1
        tcMod scroll 2.332 0
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -500 501 0 0.1724
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -99 99.7 0 0.3532
    }
    {
        map textures/common/stars
        blendFunc GL_ONE GL_ONE
        alphaGen const 1
        tcMod scroll 0 -4
        tcMod rotate 25
    }
}

textures/pass_me_around/s_redstrip
{
	q3map_lightRGB .7 .6 0
	qer_editorimage	textures/mp/s_redstrip.tga
	q3map_surfacelight	3750
	q3map_lightsubdivide	60
    {
        map textures/mp/s_redstrip
        rgbGen const ( 0.600000 0.600000 0.600000 )
    }
    {
        map textures/pass_me_around/whitestrip
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.700000 0.600000 0.000000 )
    }
}

textures/pass_me_around/biglight_2
{
	q3map_lightimage	textures/byss/biglight_2_glow
	qer_editorimage	textures/byss/biglight_2
	q3map_surfacelight	800
    {
        map $lightmap
    }
    {
        map textures/byss/biglight_2
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/biglight_2_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

//NAB622
textures/pass_me_around/slime
{
	qer_editorimage	textures/pass_me_around/slime
	q3map_nolightmap
	surfaceparm	nonsolid
	polygonOffset
	sort	5
    {
        map textures/pass_me_around/slime
        rgbGen const ( 0.120000 0.120000 0.120000 )
        blendFunc GL_ONE GL_ONE
    }
}

// exonimus-fixing glow of the byss switch texture,but locked/unlocked are not needed

textures/byss/byss_switch
{
    {
        map $lightmap
    }
    {
        map textures/byss/byss_switch
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/byss_switch_glow
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
}

// exonimus-frametech texture should have some lights switching on and off.

textures/vjun/frametech
{
    {
        map $lightmap
    }
    {
        map textures/vjun/frametech
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/vjun/frametech_glw
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
    {
        animMap 0.5 textures/vjun/frametech textures/vjun/frametech_glw 
    }
}

levelshots/pass_me_around_9
{
	qer_editorimage	levelshots/pass_me_around_9
	q3map_nolightmap
    {
        animMap 10 textures/pass_me_around/logo/mc_logo_01 textures/pass_me_around/logo/mc_logo_02 textures/pass_me_around/logo/mc_logo_03 textures/pass_me_around/logo/mc_logo_04 textures/pass_me_around/logo/mc_logo_05 textures/pass_me_around/logo/mc_logo_06 textures/pass_me_around/logo/mc_logo_07 textures/pass_me_around/logo/mc_logo_08 textures/pass_me_around/logo/mc_logo_09 textures/pass_me_around/logo/mc_logo_10 textures/pass_me_around/logo/mc_logo_11 textures/pass_me_around/logo/mc_logo_12 textures/pass_me_around/logo/mc_logo_13 textures/pass_me_around/logo/mc_logo_14 textures/pass_me_around/logo/mc_logo_15 
        tcMod scale 8 8
    }
    {
        map textures/pass_me_around/logo/logo_mask
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map levelshots/pass_me_around_9
        blendFunc GL_ONE GL_ONE
    }
}

textures/pass_me_around/grate_normal
{
	q3map_material	HollowMetal
 	qer_editorimage	textures/rocky_ruins/grate2
   {
        map $lightmap
    }
    {
        map textures/rocky_ruins/grate2
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//NAB622: These are the textures for the lockable and unlockable doors.
textures/pass_me_around/croom_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/croom_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/main_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/main_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/hangar_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/hangar_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/steps1_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/steps1_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/steps2_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/steps2_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/nabroom_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/nabroom_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/genroom_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/genroom_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/lowerhall_red
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_red
        blendFunc GL_ONE GL_ONE
        glow
    }
}

textures/pass_me_around/lowerhall_green
{
	qer_editorimage	textures/byss/door1
    {
        map $lightmap
    }
    {
        map textures/byss/door1
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/byss/door1_grn
        blendFunc GL_ONE GL_ONE
        glow
    }
}

//NAB622: This is for the skyportal. I'm using it to render a dynamic haze... :D
textures/pass_me_around/gradient
{
	notc
	qer_editorimage	textures/pass_me_around/gradient
    {
        map textures/pass_me_around/gradient
        blendFunc GL_ONE GL_ONE
    }
}

textures/pass_me_around/stars
{
	q3map_nolightmap
	notc
	qer_editorimage	textures/pass_me_around/stars
    {
        map textures/pass_me_around/stars
        rgbGen wave sin .9 .1 0 0.02
    }
}

textures/pass_me_around/console
{
	qer_editorimage	textures/pass_me_around/console_frame
	nopicmip
	nomipmaps
	notc
    {
        animMap 10 textures/pass_me_around/logo/mc_logo_01 textures/pass_me_around/logo/mc_logo_02 textures/pass_me_around/logo/mc_logo_03 textures/pass_me_around/logo/mc_logo_04 textures/pass_me_around/logo/mc_logo_05 textures/pass_me_around/logo/mc_logo_06 textures/pass_me_around/logo/mc_logo_07 textures/pass_me_around/logo/mc_logo_08 textures/pass_me_around/logo/mc_logo_09 textures/pass_me_around/logo/mc_logo_10 textures/pass_me_around/logo/mc_logo_11 textures/pass_me_around/logo/mc_logo_12 textures/pass_me_around/logo/mc_logo_13 textures/pass_me_around/logo/mc_logo_14 textures/pass_me_around/logo/mc_logo_15 
        rgbGen const ( 0.700000 0.700000 0.700000 )
        tcMod scale 32 16
    }
    {
        map textures/pass_me_around/logo/logo_mask_small
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pass_me_around/credits
        blendFunc GL_ONE GL_ONE
        rgbGen wave square 0.45 0.015 0 51.11
        tcMod scale 1 0.5
        tcMod scroll 0 0.017
    }
    {
        map textures/pass_me_around/stars
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.8 0.15 0 .421
        tcMod scale 1 .5
        tcMod rotate -.5
        tcMod scroll -0.029932 0.1051
    }
    {
        map textures/pass_me_around/stars
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.45 0.075 0 .421
        tcMod scale 2 1
        tcMod rotate -.5
        tcMod scroll -0.01572 0.05
    }
    {
        map textures/pass_me_around/console_frame
        alphaFunc GE128
    }
    {
        map textures/pass_me_around/console_glow
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 1 0 0.25
    }
    {
        map textures/pass_me_around/console_glow2
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        alphaGen wave sin 0 1 0.85 0.5
    }
}
